Name:          breakpad
Version:       20160913git
Release:       1mamba
Summary:       A set of client and server components which implement a crash-reporting system
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://chromium.googlesource.com/breakpad/breakpad
## GITSOURCE https://chromium.googlesource.com/breakpad/breakpad.git master
Source:        https://chromium.googlesource.com/breakpad/breakpad.git/master/breakpad-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Breakpad is a set of client and server components which implement a crash-reporting system.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
git clone https://chromium.googlesource.com/linux-syscall-support breakpad-lss
ln -s ../../breakpad-lss src/third_party/lss

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/core2md
%{_bindir}/dump_syms
%{_bindir}/dump_syms_mac
%{_bindir}/microdump_stackwalk
%{_bindir}/minidump-2-core
%{_bindir}/minidump_dump
%{_bindir}/minidump_stackwalk
%{_bindir}/minidump_upload
%{_bindir}/sym_upload
%doc AUTHORS LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/breakpad
%{_includedir}/breakpad/*
%{_libdir}/libbreakpad.a
%{_libdir}/libbreakpad_client.a
%{_libdir}/pkgconfig/breakpad-client.pc
%{_libdir}/pkgconfig/breakpad.pc
%{_datadir}/doc/breakpad-0.1/*
%doc README.ANDROID README.md

%changelog
* Tue Sep 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 20160913git-1mamba
- package created using the webbuild interface
